Subject: Possible Y2K problem?

From: John Burton <[email-masked]>
Date: Fri, 04 Feb 2000 11:34:03 -0500

Hi,
  I'm having a slight problem with my Cyrus IMAP  server and Pine
clients setup on a Linux box... Originally we had our IMAP server
running on a spare IBM RS/6000 AIX 3.2 machine ( Cyrus IMAP version
1.5.19). Our SA (who is no longer employed here) failed to check the AIX
box for Y2K problems, and as a result on Jan 1, 2000 our mailserver
thought it was Jan 1, 1910 (and still does). Our nameless unemployed SA
failed to do anything about for a couple of weeks, and finally moved the
mail service over to a Linux box (RedHat 6.1, Cyrus IMAP 1.6.22) on Jan
19. Apparently he simply set up the server and accounts and then copied
the data files from the AIX box to the Linux box. Needless to say, all
messages received between Jan 1 and Jan 19 inclusive had a date/time
stamp of 1910. Thats where the old SA left things, without verifying
everything was correct. I use Netscape as my IMAP client and haven't had
a problem getting to any of the messages. My MS Windows NT users use
either Netscape or Eudora and haven't complained. I have several users
who use Pine (ver 4.1 and 4.21) on Linux boxes who are having problems.
The problem is:
 1) Users can access messages recieved since Jan 19 without any
problems.
 2) The messages recieved before Jan 19 have no information in the index
list (no From, no date, no size, no subject...) except a message number.
 3) If I scroll into the index list of the pre 01/19 messages (i.e.
highlight one of the "blank" messages - *highlight*, not "select" by
hitting return on the highlighted message), I get two errors, the first
is typically "Mailbox INBOX closed due to Access violation" and the
second is
"UID invalid sequence" (or something to that effect). After I get these
errors, if I select a "good" message (one from after Jan 19) I only get
the header, the message body is empty.
 4) If I select one of the "blank" messages, then it gives me an "Error
getting message <###> data" message. (<###> is the message number).

Unfortunately going back and resetting the "date" of the message file
(in /var/imap/spool/user/???) to the year 2000 and then doing a
reconstruct for that user did no good.

Any thoughts or suggestions?

John

-- 
John Burton, Ph.D.
Senior Associate                 GATS, Inc.  
[email-masked]          11864 Canon Blvd - Suite 101
[email-masked] (personal)          Newport News, VA 23606
(757) 873-5920 (voice)           (757) 873-5924 (fax)
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------